/*
Copyright (C) 2013 Arnaud "SpheX" Couturier (arnaud.cout@gmail.com)
*/

// File Version: 0.0.2

#if defined _lightRP_included_
  #endinput
#endif
#define _lightRP_included_
 
/**
 * Définie l'argent dans le portefeuille du joueur
 *
 * @param client  Client index
 * @param num     Nombre d'argent
 * @return        No return
 */
native SetPlayerCash(client, num);

/**
 * Récupère le nombre d'argent dans le portefeuille du joueur
 *
 * @param client  Client index
 * @return        Nombre d'argent
 */
native GetPlayerCash(client);

/**
 * Définie l'argent dans la banque du joueur
 *
 * @param client  Client index
 * @param num     Nombre d'argent
 * @return        No return
 */
native SetPlayerBank(client, num);

/**
 * Récupère le nombre d'argent dans la banque du joueur
 *
 * @param client  Client index
 * @return        Nombre d'argent
 */
native GetPlayerBank(client);

/**
 * Définie le JobID du joueur sélectionné
 *
 * @param client  Client index
 * @param num     JobID
 * @return        No return
 */
native SetPlayerJobID(client, num);

/**
 * Récupère le JobID du joueur sélectionné
 *
 * @param client  Client index
 * @return        JobID du joueur
 */
native GetPlayerJobID(client);

/**
 * Définie le RankID du joueur sélectionné
 *
 * @param client  Client index
 * @param num     RankID
 * @return        No return
 */
native SetPlayerRankID(client, num);

/**
 * Récupère le RankID du joueur sélectionné
 *
 * @param client  Client index
 * @return        RankID du joueur
 */
native GetPlayerRankID(client);

/**
 * Définie le temps de jail du joueur indiqué
 *
 * @param client  client index
 * @param num     Temps de jail
 * @return        No return
 */
native SetPlayerJailTime(client, num);

/**
 * Récupère le temps de jail du joueur indiqué
 *
 * @param client  client index
 * @return        Temps de jail
 */
native GetPlayerJailTime(client);

/**
 * Définie la vie de la voiture du joueur indiqué
 *
 * @param client  client index
 * @param carID   car index
 * @return        No return
 */
native SetPlayerCar(client, carID);

/**
 * Récupère la vie de la voiture du joueur indiqué
 *
 * @param client  client index
 * @param carID	  car index
 * @return        Vie de la voiture
 */
native GetPlayerCar(client, carID);

/**
 * Définie le salaire du JobID et RankID indiqué
 *
 * @param JobID   Job index
 * @param RankID  Rank index
 * @return        No return
 */
native SetJobSalary(JobID, RankID);

/**
 * Récupère le salaire du JobID et RankID indiqué
 *
 * @param JobID   Job index
 * @param RankID  Rank index
 * @return        Salaire
 */
native GetJobSalary(JobID, RankID);

/**
 * Définie le capital du JobID indiqué
 *
 * @param JobID   Job index
 * @param num     Nombre d'argent du capital
 * @return        No return
 */
native SetJobCapital(JobID, num);

/**
 * Récupère le capital du JobID indiqué
 *
 * @param JobID   Job index
 * @return        Argent du capital
 */
native GetJobCapital(JobID);

/**
 * Récupère le capital du JobID indiqué
 *
 * @param num     Type de retour(1=Heure, 2=Minutes, 3=Jour, 4=Mois, 5=Année)
 * @return        Valeur du retour
 */
native GetRPTime(num);

public SharedPlugin:__pl_lightRP = {

	name = "lightRP",
	file = "Roleplay.smx",
#if defined REQUIRE_PLUGIN
	required = 1,
#else
	required = 0,
#endif
};

#if !defined REQUIRE_PLUGIN
public __pl_lightRP_SetNTVOptional() {

	MarkNativeAsOptional("SetPlayerCash");
	MarkNativeAsOptional("GetPlayerCash");

	MarkNativeAsOptional("SetPlayerBank");
	MarkNativeAsOptional("GetPlayerBank");

	MarkNativeAsOptional("SetPlayerJobID");
	MarkNativeAsOptional("GetPlayerJobID");

	MarkNativeAsOptional("SetPlayerRankID");
	MarkNativeAsOptional("GetPlayerRankID");

	MarkNativeAsOptional("SetPlayerJailTime");
	MarkNativeAsOptional("GetPlayerJailTime");

	MarkNativeAsOptional("SetPlayerCar");
	MarkNativeAsOptional("GetPlayerCar");

	MarkNativeAsOptional("SetJobSalary");
	MarkNativeAsOptional("GetJobSalary");

	MarkNativeAsOptional("SetJobCapital");
	MarkNativeAsOptional("GetJobCapital");

	MarkNativeAsOptional("GetRPTime");
}
#endif